在线等。。JBuilder 7 jdk 1.6.0 不能兼容。 编译没问题。运行就报错。说找不到类。

fength2004 2010-12-09 03:10:01
java.lang.VerifyError: (class: jp/ofsystem/comm/system/login/Boot, method: main signature: ([Ljava/lang/String;)V) Incompatible object argument for function call


运行就出错。是不是jbuilder不支持1.6啊。。。。
...全文
30 点赞 收藏 3
写回复
3 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
eswn 2010-12-09
[Quote=引用楼主 fength2004 的回复:]
java.lang.VerifyError: (class: jp/ofsystem/comm/system/login/Boot, method: main signature: ([Ljava/lang/String;)V) Incompatible object argument for function call


运行就出错。是不是jbuilder不支持1.6啊。。。。
[/Quote]
是的,JBuilder 7支持JDK1.3,如果楼主一定要用JBuilder的话,可以用JBuilderX或JBuilder 2005,官方支持JDK 1.5,如果要用JDK 1.6,最好使用Eclipse做为开发工具,毕竟现在的国内的公司,80%以上用的是Eclipse.
回复
24K純帥 2010-12-09
应该支持的吧,不然这编译器也太挫啦
回复
Jlins 2010-12-09
JBuilder 7 ?
啥年代了呀...换成eclipse吧
回复
发帖
Java SE
创建于2007-09-28

6.1w+

社区成员

Java 2 Standard Edition
申请成为版主
帖子事件
创建了帖子
2010-12-09 03:10
社区公告
暂无公告